Subject: Re: bug#2107: temp-file-name-pattern vs temporary-file-directory

From: Stefan Monnier <[email-masked]>
Date: Thu, 29 Jan 2009 17:13:20 -0500

> Recently I learned about the variable temp-file-name-pattern when
> under odd circumstances I didn't have access to /tmp. I was
> surprised that the default value of this variable was
> /tmp/emacsXXXXXX, thus ignoring my setting of
> temporary-file-directory. Shouldn't temp-file-name-pattern take into
> account the value of temporary-file-directory?

It looks like temp-file-name-pattern is specific to call-process-region,
and predates temporary-file-directory.  call-process-region indeed
should be updated to use either make-temp-file or at least
temporary-file-directory.  And temp-file-name-pattern should be dropped.

        Stefan